org.apache.hc.core5.http2.impl.nio

## Class ServerHttpProtocolNegotiationStarter

- java.lang.Object
- - org.apache.hc.core5.http2.impl.nio.ServerHttpProtocolNegotiationStarter

- All Implemented Interfaces:
    IOEventHandlerFactory

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      @Internal
      public class ServerHttpProtocolNegotiationStarter
      extends Object
      implements IOEventHandlerFactory

  Server I/O event starter that prepares I/O sessions for an initial protocol handshake. This class may return a different `IOEventHandler` implementation based on the current HTTP version policy.
  Since:
    5.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerHttpProtocolNegotiationStarter(ServerHttp1StreamDuplexerFactory http1StreamHandlerFactory, ServerH2StreamMultiplexerFactory http2StreamHandlerFactory, HttpVersionPolicy versionPolicy, TlsStrategy tlsStrategy, Timeout handshakeTimeout)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpConnectionEventHandler` | `createHandler(ProtocolIOSession ioSession, Object attachment)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerHttpProtocolNegotiationStarter

          public ServerHttpProtocolNegotiationStarter(ServerHttp1StreamDuplexerFactory http1StreamHandlerFactory,
                                              ServerH2StreamMultiplexerFactory http2StreamHandlerFactory,
                                              HttpVersionPolicy versionPolicy,
                                              TlsStrategy tlsStrategy,
                                              Timeout handshakeTimeout)

  - ### Method Detail

    - #### createHandler

          public HttpConnectionEventHandler createHandler(ProtocolIOSession ioSession,
                                                 Object attachment)

      Specified by:
        `createHandler` in interface `IOEventHandlerFactory`

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.